Bug 1706159 - python-nixio FTBFS on rawhide
Summary: python-nixio FTBFS on rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-nixio
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON38 F31FTBFS SPHINX2 1732841
TreeView+ depends on / blocked
 
Reported: 2019-05-03 16:54 UTC by Patrik Kopkan
Modified: 2019-07-31 22:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-10 20:12:01 UTC


Attachments (Terms of Use)
Copr build log (106.60 KB, text/plain)
2019-05-03 16:54 UTC, Patrik Kopkan
no flags Details

Description Patrik Kopkan 2019-05-03 16:54:50 UTC
Created attachment 1562607 [details]
Copr build log

python-nixio fails to build with python 3.8 because of empty result of wildcard:
html/_downloads/*.py in spec https://src.fedoraproject.org/rpms/python-nixio/blob/master/f/python-nixio.spec#_66 :

    # Remove shebang from documentation examples

    for f in html/_downloads/*.py; do
        sed '1{\@^#!/usr/bin/env python@d}' $f > $f.new &&
        touch -r $f $f.new &&
        mv $f.new $f
    done

    %install

Comment 1 Miro Hrončok 2019-05-03 17:00:12 UTC
I was recently hit by this in python-pelican. It is most likely a Sphinx 2 problem rather than Python 3.8 itself:

https://src.fedoraproject.org/rpms/python-pelican/c/7e16845f2f4b1083c7cd17d2cbcde293d048b8e6?branch=master


This happens on regular rawhide with Python 3.7 as well:


...
The HTML pages are in html.
+ rm -fr html/.buildinfo html/.doctrees
+ for f in html/_downloads/*.py
+ sed '1{\@^#!/usr/bin/env python@d}' 'html/_downloads/*.py'
sed: can't read html/_downloads/*.py: No such file or directory
+ exit 2
error: Bad exit status from /var/tmp/rpm-tmp.K8gAnx (%build)

Comment 2 Miro Hrončok 2019-05-03 17:01:35 UTC
--- a/python-nixio.spec
+++ b/python-nixio.spec
@@ -63,7 +63,7 @@ PYTHONPATH=. sphinx-build-3 docs/source html
 rm -fr html/.{buildinfo,doctrees}
 
 # Remove shebang from documentation examples
-for f in html/_downloads/*.py; do
+for f in html/_downloads/*/*.py; do
     sed '1{\@^#!/usr/bin/env python@d}' $f > $f.new &&
     touch -r $f $f.new &&
     mv $f.new $f



This fixes the problem. Will check if the package builds on Python 3.8 with the fix applied.

Comment 3 Miro Hrončok 2019-05-03 17:04:20 UTC
It does. I'm not pushing the fix yet, as I don't know if you prefer to maintain "single spec" and I don't think it works with previous Fedoras as is.

Comment 4 Ankur Sinha (FranciscoD) 2019-05-04 07:31:24 UTC
Thanks Miro! I'll include the fix---gotta check how we do the specs for this one XD

Comment 5 Miro Hrončok 2019-07-10 10:46:45 UTC
FranciscoD, what's the status here?

Comment 6 Ankur Sinha (FranciscoD) 2019-07-10 11:50:59 UTC
Still pending, I'm afraid. Sorry. I'll do it over the weekend at most.

Comment 7 Ankur Sinha (FranciscoD) 2019-07-10 20:12:01 UTC
Fixed, built: https://koji.fedoraproject.org/koji/taskinfo?taskID=36173216


Note You need to log in before you can comment on or make changes to this bug.